--- old/usr/src/cmd/sgs/libld/common/relocate.c	Mon Jul 10 11:44:23 2017
+++ new/usr/src/cmd/sgs/libld/common/relocate.c	Mon Jul 10 11:44:23 2017
@@ -24,6 +24,7 @@
  *	  All Rights Reserved
  *
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 /*
@@ -2013,12 +2014,13 @@
 				 *  -	It is a non-allocable debug section.
 				 *	The GNU ld tests for these by name,
 				 *	but we are willing to extend it to
-				 *	any non-allocable section.
+				 *	any non-allocable/read-only section.
 				 *  -	The target section is excluded from
 				 *	sloppy relocations by policy.
 				 */
 				if (((ofl->ofl_flags & FLG_OF_VERBOSE) != 0) ||
 				    ((is_shdr->sh_flags & SHF_ALLOC) &&
+				    (is_shdr->sh_flags & SHF_WRITE) &&
 				    (reject != RLXREL_REJ_TARGET)))
 					ld_eprintf(ofl, ERR_WARNING,
 					    MSG_INTL(MSG_REL_SLOPCDATNOSYM),
--- old/usr/src/cmd/sgs/packages/common/SUNWonld-README	Mon Jul 10 11:44:23 2017
+++ new/usr/src/cmd/sgs/packages/common/SUNWonld-README	Mon Jul 10 11:44:23 2017
@@ -1660,3 +1660,4 @@
 6252	ld should merge function/data-sections in the same manner as GNU ld
 7323	ld(1) -zignore can erroneously discard init and fini arrays as unreferenced
 7594	ld -zaslr should accept Solaris-compatible values
+8509	ld has a trouble linking c++ code built by GCC 7.1
